Package org.opencv.xfeatures2d

## Class LUCID

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.features.Feature2D
    - - org.opencv.xfeatures2d.LUCID

-     public class LUCID
      extends Feature2D

  Class implementing the locally uniform comparison image descriptor, described in CITE: LUCID An image descriptor that can be computed very fast, while being about as robust as, for example, SURF or BRIEF. Note: It requires a color image as input.

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `LUCID​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static LUCID` | `__fromPtr__​(long addr)` |
    `static LUCID` | `create()` |
    `static LUCID` | `create​(int lucid_kernel)` |
    `static LUCID` | `create​(int lucid_kernel, int blur_kernel)` |
    `protected void` | `finalize()` |
    `int` | `getBlurKernel()` |
    `java.lang.String` | `getDefaultName()` | Returns the algorithm string identifier.
    `int` | `getLucidKernel()` |
    `void` | `setBlurKernel​(int blur_kernel)` |
    `void` | `setLucidKernel​(int lucid_kernel)` |

    - ### Methods inherited from class org.opencv.features.Feature2D

      `compute, compute, defaultNorm, descriptorSize, descriptorType, detect, detect, detect, detect, detectAndCompute, detectAndCompute, empty, read, write`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LUCID

          protected LUCID​(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static LUCID __fromPtr__​(long addr)

    - #### create

          public static LUCID create​(int lucid_kernel,
                                     int blur_kernel)

      Parameters:
        `lucid_kernel` - kernel for descriptor construction, where 1=3x3, 2=5x5, 3=7x7 and so forth
        `blur_kernel` - kernel for blurring image prior to descriptor construction, where 1=3x3, 2=5x5, 3=7x7 and so forth
      Returns:
        automatically generated

    - #### create

          public static LUCID create​(int lucid_kernel)

      Parameters:
        `lucid_kernel` - kernel for descriptor construction, where 1=3x3, 2=5x5, 3=7x7 and so forth
      Returns:
        automatically generated

    - #### create

          public static LUCID create()

      Returns:
        automatically generated

    - #### setLucidKernel

          public void setLucidKernel​(int lucid_kernel)

    - #### getLucidKernel

          public int getLucidKernel()

    - #### setBlurKernel

          public void setBlurKernel​(int blur_kernel)

    - #### getBlurKernel

          public int getBlurKernel()

    - #### getDefaultName

          public java.lang.String getDefaultName()

      Description copied from class: `Algorithm`
      Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string.
      Overrides:
        `getDefaultName` in class `Feature2D`
      Returns:
        automatically generated

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Feature2D`
      Throws:
        `java.lang.Throwable`